Upload users to a segment.
curl --request POST \
--url https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/upload"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
Upload users to a segment.
Uploads a file with segment users.
POST
/
public
/
v1
/
segment-service
/
segments
/
{segment-id}
/
upload
Upload users to a segment.
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The external ID of the segment.
Paramètres de requête
The action to perform on the segment.
Options disponibles:
add, remove, replace Corps
multipart/form-data
Réponse
Successful Response
Cette page vous a-t-elle été utile ?
⌘I